#ifndef _DSwhoTool_h_
#define _DSwhoTool_h_

class CDShowTool
{
public:
   HRESULT Connect(IGraphBuilder *, IBaseFilter *, IBaseFilter *);
   HRESULT ConnectDirect(IGraphBuilder *, IBaseFilter *, IBaseFilter *, AM_MEDIA_TYPE *);
   HRESULT RenderDirectByFilter(IGraphBuilder *, int, ...);
   AM_MEDIA_TYPE *GetMediaType(IPin *, int);
   int GetPinCount(IBaseFilter *, PIN_DIRECTION);
   IPin* GetPin(IBaseFilter *, PIN_DIRECTION, int);
   IPin* GetPin(IBaseFilter *, PIN_DIRECTION, GUID);
   HRESULT Disconnect(IGraphBuilder *, IBaseFilter *, IBaseFilter *);

   IBaseFilter *AddFilter(IGraphBuilder *, CLSID);
   IBaseFilter *AddDmoFilter(IGraphBuilder *, CLSID, CLSID);
   IBaseFilter *AddSourceFilter(IGraphBuilder *, CLSID, WCHAR *);
   IBaseFilter *AddWriteFilter(IGraphBuilder *, CLSID, WCHAR *);
};

#endif _DSwhoTool_h_
